<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>BMS IoT Demo</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" href="asset/img/favicon.ico" type="image/ico">
    <link href="https://fonts.googleapis.com/css?family=Josefin+Sans:300,400" rel="stylesheet">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link rel="stylesheet" type="text/css" media="screen" href="asset/css/materialize.min.css" />
    <link rel="stylesheet" type="text/css" media="screen" href="asset/css/main.css" />
    <script src="asset/js/jquery.min.js"></script>
    <script src="asset/js/index.js"></script>
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCaRVNgxj0FQd45N7kIaNyOsV3Nnt-W8KY&v=3"></script>
    <!-- <script src="https://cdnjs.cloudflare.com/ajax/libs/particlesjs/2.2.3/particles.js"></script> -->
</head>

<body>

    <!-- <div id="particles-js">
        <script src="https://cdn.jsdelivr.net/particles.js/2.0.0/particles.min.js"></script>
        <script  src="js/index.js"></script> -->
        <!-- START SIDE NAVIGATION -->
        <header>
            <ul class="sidenav" style="transform: translateX(0px);">
                <li class="logo">
                    <img src="asset/img/smartbuilding2.png" class="brand-logo" height=80 width=180>
                    <!-- <a id="logo-container" href="/" class="brand-logo">

                    </a> -->
                </li>
                <li class="active"><a class="waves-effect" href="#!">Performance</a></li>
                <li><a class="waves-effect" href="analytics.html">Analytics</a></li>
                <li><a class="waves-effect" href="architecture.html">Architecture</a></li>
            </ul>
            <a href="#" data-target="slide-out" class="sidenav-trigger"></a>
        </header>
        <!-- END SIDE NAVIGATION -->
        <!-- START MAIN CONTENT -->
        <main>
            <!-- START TOP NAVIGATION  -->
            <nav>
                <div class="nav-wrapper">
                    <ul id="nav-mobile" class="hide-on-med-and-down">
                        <li><span id="site-title" href="#">IOT Real-time Dashboard</span>
                        </li>
                        
                    </ul>
                    <ul id="nav-mobile" class="right hide-on-med-and-down">
                    <li><a class="waves-effect btn"><i class="material-icons right">play_circle_filled</i></a></li>
                </ul>
                </div>
            </nav>
            <!-- END TOP NAVIGATION -->
            <div class="container">
                <!-- START CHARTS -->
                <div class=row>
                    <div class="col s12">
                        <div class="card card-meetup">
                            <div class="card-content">
                                <div id="map_canvas" style="height:300px;"></div>
                            </div>
                        </div>
                    </div>
                </div>

                <!-- END CHARTS -->
                <!-- START BOTTOM STATS CARDS -->
                <div class="row">
                    <div class="col s4">
                        <div class="card">
                            <div class="card-content">
                                <div class="row no-margin">
                                    <div class="col s5 valign-wrapper">
                                        <i class="material-icons large">vertical_split</i>
                                    </div>
                                    <div class="col s7">
                                        <p>Rooms Online</p>
                                        <h5><span id="roomsOnline"></span></h5>
                                    </div>
                                </div>
                                <div class="row no-margin">
                                </div>
                                <div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col s4">
                        <div class="card">
                            <div class="card-content">
                                <div class="row no-margin">
                                    <div class="col s5 valign-wrapper">
                                        <i class="material-icons large">opacity</i>
                                    </div>
                                    <div class="col s7">
                                        <p>Humidex(Current Avg.)</p>
                                        <h5><span id="humidex"></span></h5>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col s4">
                        <div class="card">
                            <div class="card-content">
                                <div class="row no-margin">
                                    <div class="col s5 valign-wrapper">
                                        <i class="material-icons large">wb_iridescent</i>
                                    </div>
                                    <div class="col s7">
                                        <p>Luminosity(Avg)</p>
                                        <h5><span id="luminocity"></span> lux</h5>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    </div>
                    <div class="row">
                    <div class="col s4">
                        <div class="card">
                            <div class="card-content">
                                <div class="row no-margin">
                                    <div class="col s5 valign-wrapper">
                                        <i class="material-icons large">speaker</i>
                                    </div>
                                    <div class="col s7">
                                        <p>Sound Level</p>
                                        <h5><span id="soundLevel"></span> mV</h5>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col s4">
                        <div class="card">
                            <div class="card-content">
                                <div class="row no-margin">
                                    <div class="col s5 valign-wrapper">
                                        <i class="material-icons large">opacity</i>
                                    </div>
                                    <div class="col s7">
                                        <p>Humidex(Rolling)</p>
                                        <h5><span id="humidexAvg"></span></h5>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col s4">
                        <div class="card">
                            <div class="card-content">
                                <div class="row no-margin">
                                    <div class="col s5 valign-wrapper">
                                        <i class="material-icons large">wb_sunny</i>
                                    </div>
                                    <div class="col s7">
                                        <p>Temperature</p>
                                        <h5><span id="temp"></span> C</h5>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- END BOTTOM CARDS STATS -->
                <div class="row">
                    <div class="col m12">
                            <canvas id="MaintemperatureChart" width="1200" height="400"></canvas>
                </div>
            </div>
            
        </main>
        <!-- END MAIN CONTENT -->

        <!-- START FOOTER CONTENT -->
        <footer></footer>
        <!-- END FOOTER CONTENT-->

        <!-- START SCRIPT INJECTION -->
        <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.3/Chart.bundle.min.js" integrity="sha256-MZo5XY1Ah7Z2Aui4/alkfeiq3CopMdV/bbkc/Sh41+s="
        crossorigin="anonymous"></script>
        <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
        <script src="https://www.gstatic.com/firebasejs/4.6.2/firebase-app.js"></script>
        <script src="https://www.gstatic.com/firebasejs/4.6.2/firebase-database.js"></script>
        <script src="asset/js/custom.js"></script>
        <script src="asset/js/firebase.js"></script>
        <script src="asset/js/base.js"></script>
        <script src="asset/js/materialize.min.js"></script>
        <!-- END SCRIPT INJECTION -->
    </div>
</body>

</html>